# Run tests in check section
%bcond_without check

# https://github.com/koofr/go-koofrclient
%global goipath         github.com/koofr/go-koofrclient
%global commit          7f327592caff2f24d64635e29bf560db6a2e4db5

%global common_description %{expand:
Go Koofr client.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        Go Koofr client
# Detected licences
# - Expat License at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/koofr/go-httpclient)
%if %{with check}
BuildRequires:  golang(github.com/onsi/ginkgo)
BuildRequires:  golang(github.com/onsi/gomega)
%endif

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Mar 08 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190325git7f32759
- First package for Fedora

